//+------------------------------------------------------------------+
//|                                                    dashboard.mq4 |
//|                                                           .....h |
//|                                                    hayseedfx.com |
//+------------------------------------------------------------------+
#property copyright "everybody"
#property link      "hayseedfx.com"

#property indicator_chart_window



extern int    RSI_periode      =         55;
extern int    RSI_level        =         50;
extern color  BuyColor         =    clrLime;
extern color  SellColor         =    clrRed;


// end add
extern int    horizontal       =         50;
extern int    vertical         =         50;    

extern int    shift            =          1;
extern double percent          =       0.25;
extern string fontmode         =       "Courrier";
extern int    fontsize         =         12;
extern color  fontcolor        =         clrSkyBlue;
extern int    columnspacing    =        150;   

       string symlist[]        = {"EURUSD", "EURAUD", "EURCAD", "EURCHF", "EURGBP", "EURJPY", "EURNZD",
                                  "USDCAD", "USDCHF", "USDJPY",
                                  "GBPCAD", "GBPCHF", "GBPJPY", "GBPUSD", "GBPAUD",
                                  "AUDJPY", "AUDNZD", "AUDUSD", "AUDCHF", 
                                  "NZDCHF", "NZDJPY", "NZDUSD",
                                  "CADJPY", "CHFJPY", "NZDCAD",
                                  "XAUUSD"};                 
      
       string symlist2[25]     = {"EURUSD", "EURAUD", "EURCAD", "EURCHF", "EURGBP", "EURJPY", "EURNZD",
                                  "       ",
                                  "EURUSD", "GBPUSD", "AUDUSD", "NZDUSD", "USDCHF", "USDCAD", "USDJPY",
                                  "       ",
                                  "USDJPY", "GBPJPY", "EURJPY", "AUDJPY", "NZDJPY", "CHFJPY", "CADJPY"};
       string symbol;

  //      int    time[]         = {5,15,30,60,240,1440,10080,43200};
  //      int    time[]         = {1,5,15,30,60};
          int    time[]         = {60,30,15,5,1};
          string timeText[]     = {"1H","30m","15m","5m","1m"};
          string font           = "Terminal";
          int    bars;
  
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectsDeleteAll();
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   int symlimit  = ArraySize(symlist);
   int timelimit = ArraySize(time); 
//----

      if(bars != Bars)  
      {

      for(int i=0;i<symlimit;i++)
       {      
       symbol  = symlist[i];

       Display("symlabel" + symbol + i,  horizontal,vertical);
       ObjectSetText("symlabel" + symbol + i, "Pair", fontsize, fontmode, fontcolor);       

       Display("sym" + symbol + i,  horizontal,vertical +((i+1)*25));
       ObjectSetText("sym" + symbol + i, "" + symbol + "", fontsize, fontmode, fontcolor);
       



       for(int j=0;j<timelimit;j++)
       {       
       Display("time" + j,  horizontal+((j+1)*columnspacing),vertical);
       ObjectSetText("time" + j, timeText[j], fontsize, fontmode, fontcolor);       

       Display("bar" + symbol + ((j+1)*columnspacing),  horizontal+((j+1)*columnspacing),vertical +((i+1)*25));
       ObjectSetText("bar" + symbol + ((j+1)*columnspacing), "", fontsize, font, BarColor(symbol,time[j]));           
       }
       }
       bars = Bars;
       
       }   
//----
   return(0);
  }
//+------------------------------------------------------------------+


  color BarColor(string sym,int tf)
  {    
    color  clr;
    int    i,limit; 
    

            for(i=limit; i>= 0; i--)
            {                         
               double RSI_55_PREV    = iRSI(sym,tf,RSI_periode,0,i+1);   //i+1 => previous bar           
            }
         clr  = clrDimGray;
         if(RSI_55_PREV <= RSI_level )   {clr  = SellColor;}
         else
         if(RSI_55_PREV > RSI_level)    {clr  = BuyColor;}  
         
         return(clr);
  
   } 
//+------------------------------------------------------------------+


void Display(string name, int x, int y)
   {
   ObjectCreate(name, OBJ_LABEL, 0, 0, 0);
   ObjectSet(name, OBJPROP_CORNER, 0);
   ObjectSet(name, OBJPROP_XDISTANCE, x);
   ObjectSet(name, OBJPROP_YDISTANCE, y);
   ObjectSet(name, OBJPROP_BACK, FALSE);
   } 
   
   
   
   
     

